export interface Logger {
    debug: (msg: string, ...params: unknown[]) => void;
    error: (msg: string, ...params: unknown[]) => void;
}
export default function createLogger(namespace: string): () => Logger;
/**
 * Allow use a different logger
 */
export declare function setLogger(customLogger: (logger: string) => Logger): void;
